> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qa.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List features

> List features in the project's feature graph. Features are LLM-clustered groupings of related UI actions discovered during crawling, and describe what the product can do.



## OpenAPI

````yaml /api-reference/api.json get /v1/features
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  contact:
    name: QA.tech
    url: https://qa.tech
    email: support@qa.tech
  description: API for triggering and managing AI-powered test runs
servers:
  - url: https://api.qa.tech
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Runs
  - name: Infrastructure
  - name: Test Cases
  - name: Application Builds
  - name: Status badge
  - name: Remote Tunnels
  - name: Chat
  - name: Applications
  - name: Features
  - name: Metrics
  - name: Release Checks
  - name: Projects
paths:
  /v1/features:
    get:
      tags:
        - Features
      summary: List features
      description: >-
        List features in the project's feature graph. Features are LLM-clustered
        groupings of related UI actions discovered during crawling, and describe
        what the product can do.
      operationId: ListFeatures
      parameters:
        - name: query
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ListFeaturesQuery'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFeaturesResponse'
components:
  schemas:
    ListFeaturesQuery:
      type: object
      properties:
        applicationShortId:
          allOf:
            - $ref: '#/components/schemas/ApplicationShortId'
          description: >-
            Scope the list to one application; omit for all features in the
            project
        projectShortId:
          allOf:
            - $ref: '#/components/schemas/ProjectShortId'
          description: >-
            Target a specific project by its prefixed short ID
            (proj-slug_shortId or proj_shortId), as returned by the projects
            API. Required for organization-scoped API keys; project-scoped keys
            may only pass their own project's short ID.
      description: Query parameters for listing features
    ListFeaturesResponse:
      type: object
      required:
        - features
      properties:
        features:
          type: array
          items:
            $ref: '#/components/schemas/FeatureItem'
      description: Response for listing features in the project's feature graph
    ApplicationShortId:
      type: string
      pattern: ^app(-.+_.+|_.+)$
    ProjectShortId:
      type: string
      pattern: ^proj(-.+_.+|_.+)$
    FeatureItem:
      type: object
      required:
        - id
        - name
        - description
        - actionCount
      properties:
        id:
          type: string
          description: Stable feature identifier from the graph
        name:
          type: string
          description: Human-readable feature name
        description:
          type: string
          nullable: true
          description: LLM-generated description of what the feature does
        actionCount:
          type: integer
          format: int32
          description: Number of distinct UI actions clustered under this feature
      description: Summary of a feature in the project's feature graph
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````